package com.persagy.proxy.adm.service;

import com.persagy.proxy.adm.model.AdmFloor;
import com.persagy.proxy.adm.request.AdmQueryCriteria;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.common.entity.InstanceUrlParam;

import java.util.List;

/**
 * ADM 楼层 接口类
 * @author lvxy
 * @date 2021/8/16
 */
public interface IAdmFloorService extends IAdmBaseService<AdmFloor>{

    public List<AdmFloor> doUpdateOutLine(InstanceUrlParam context, Class<AdmFloor> clazz, List<AdmFloor> voList);
    /**
     * 查询outLine
     * @param request
     * @return
     */
    AdmResponse doQueryOutLine(InstanceUrlParam context, AdmQueryCriteria request, Class<AdmFloor> clazz);
}
